function [lens,kurt,r_ms,F_low,lyap,wt_lyap,zcr,wt1,hi_lo,hi_all,freq_kurt] = get_segment_feature(signal,wt_signal,starts,stops)

    lens = zeros(size(starts));
    kurt = zeros(size(starts));
    r_ms = zeros(size(starts));
    F_low = zeros([length(starts),14]);
    lyap = [];% zeros(size(starts));
    wt_lyap = [];% zeros(size(starts));
    zcr = zeros(size(starts));
    wt1 = zeros(size(starts));
    hi_lo = zeros(size(starts));
    hi_all = zeros(size(starts));
    freq_kurt = zeros(size(starts));

    event_len = min(length(starts),length(stops));

    for k=1:event_len
        win = starts(k):stops(k);
        segment = signal(win);
        wt_segment = wt_signal(win);

        if isempty(segment)
            continue
        end

        lens(k) = length(win)-1;

        segment=segment/abs(max(segment));
        F = abs(fft(segment,128));
        F = F/max(F);
        kurt(k)=kurtosis(segment);
        r_ms(k)=rms(segment);
        F_low(k,:) = F(3:16);
%         if length(segment)>=17
%             lyap(k) = lyapunovExponent(segment,1000,5,3);
%             wt_lyap(k) = lyapunovExponent(wt_segment,1000,5,3);
%         end
        zcr(k) = zerocrossrate(segment);
        wt1(k) = sum(wt_segment.^2);

        lo = sum(F(1:20));
        hi = sum(F(20:end));
        hi_lo(k) = hi/lo;
        hi_all(k) = hi/sum(F);
        freq_kurt(k) = kurtosis(F);
    end
    
%     features = [lens;kurt;r_ms;F_low';lyap;wt_lyap;zcr;wt1;hi_lo;hi_all;freq_kurt];
%     features = normalize(fet')';
end

