function [s1_locs,s2_locs] = separate_heartsounds(s_locs)
%SEPARATE_HEARTSOUNDS Separates S1 and S2 sounds from a combined list
%   Returned values:
%       - S1 centroids
%       - S2 centroids
%   Input parameters:
%       - Combined heart sound list

    % estimate systole and diastole
    d2 = diff(s_locs,2);
    d2 = [0,0,d2];
    s1_locs = s_locs(d2>0);
    s2_locs = s_locs(d2<0);
end

