function c_sig = suppress_breathing(sig,cutoff,str,filt_flag)
    dRE = expander(-25,7,'SampleRate',1000,'ReleaseTime',0.05,'AttackTime',0.01,'HoldTime',0.03);
    dRC = compressor(-25,5,'SampleRate',1000,'ReleaseTime',0.05,'AttackTime',0.01);

    sig = sig/max(sig);

    e_sig = dRE(sig);
    e_sig = e_sig/max(e_sig);

    [b,a]=butter(10,cutoff/500,'high');
    hp_sig = filtfilt(b,a,e_sig);

    e = envelope(hp_sig,150,'rms');
    e = e/max(e);
    n_e = 1-exp(-5*e);
    % n_e = tanh(2*e);

    if filt_flag
        mne = n_e-mean(n_e);
        ft = abs(fft(mne));
        ft = ft/max(ft);
        frq = linspace(0,500,length(ft)/2);
        br_lo = max(ft(frq<1 & frq>0.5));
        br_hi = max(ft(frq<2 & frq>1));
        
        [am,f,t] = stft(sig,1000,'FrequencyRange','onesided');
        rn_e = n_e(round(t*1000));
        [fr,~]=freqz(b,a,[],1000);
        fr = abs(fr);
        ff = fr(round(f)+1);
        mat_ne = ff*rn_e';
        redr = ones(size(mat_ne));
    
        if br_lo>br_hi
            redr = redr-mat_ne*str;
        end
        
        redu = istft(am.*redr,1000,'FrequencyRange','onesided');
        redu(end)=0;
    else
        redu = sig.*(1-n_e*str);
    end

    redu = redu/max(redu);
    
    c_sig = dRC(redu);
    c_sig = c_sig/max(abs(c_sig));
end

