%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Purpose: Run trained PCG classifier and obtain classifier outputs
% Inputs:
% 1. header
% 2. recordings
% 3. trained model
%
% Outputs:
% 1. score
% 2. label
% 3. classes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [score, label, classes] = team_testing_code(header, recordings, loaded_model) % revert this
%     classes_murmur = loaded_model.classes_m;
%     classes_outcome = loaded_model.classes_o;
    
    segments = [];
    HSMM = [];
    if isfield(loaded_model, 'HSMM')
        HSMM = loaded_model.HSMM;
        addpath("HSMM");
    end
    features=get_features(header,recordings,segments,HSMM,true); % revert this

    murmur_model=loaded_model.model_m;
    [label_tmp,score_tmp] = murmur_model.predictFcn(features);
    classes_murmur = murmur_model.ClassificationSVM.ClassNames;
    label_murmur = label_tmp == classes_murmur;
    get_prob = @(x) 1./(1+exp(-x));
    score_murmur = get_prob(score_tmp);

    outcome_model=loaded_model.model_o;
    classes_outcome = outcome_model.ClassificationEnsemble.ClassNames;
    [label_tmp,score_tmp] = outcome_model.predictFcn(features);
    label_outcome= label_tmp == classes_outcome;
    score_outcome = get_prob(score_tmp);
	
	classes = [classes_murmur(:)', classes_outcome(:)'];
    score = [score_murmur, score_outcome];
    label = [label_murmur', label_outcome'];
end
