function [trained_svm,coef,fscore] = train_and_validate_RF_murmur(features,labels,train_split)

    Y_tr=[];
    X_tr=[];
    num_labels = zeros(size(labels));
    num_labels(labels=='Present') = 1;
    num_labels(labels=='Unknown') = 0;
    num_labels(labels=='Absent') = -1;

    YN=find(num_labels==-1);
    YP=find(num_labels==1);
    YU=find(num_labels==0);

    YN_rand = YN(randperm(floor(length(YN)*0.3)));
    YP_rand = YP(randperm(length(YP)));
    YU_rand = YU(randperm(length(YU)));
    Y_new_tr = [YP_rand(1:floor(numel(YP_rand)*train_split)),...
                YN_rand(1:floor(numel(YN_rand)*train_split)),...
                YU_rand(1:floor(numel(YU_rand)*train_split))];
    Y_new_val = [YP_rand(floor(numel(YP_rand)*train_split):end),...
                 YN_rand(floor(numel(YN_rand)*train_split):end),...
                 YU_rand(floor(numel(YU_rand)*train_split):end)];
    rand_num_tr = Y_new_tr(randperm(length(Y_new_tr)));
    rand_num_val = Y_new_val(randperm(length(Y_new_val)));

    for i=1:length(rand_num_tr)
        Y_tr(i,1)=num_labels(rand_num_tr(i));
        X_tr(i,1:size(features,2))=features(rand_num_tr(i),1:size(features,2));
    end

    disp('Training the model...')
    
    [coef,~,~,~,exp]=pca(X_tr);
    idx = find(cumsum(exp)>99,1);
    coef = coef(:,1:idx);
    feats = X_tr*coef;
    
%     svmParams = templateSVM('KernelFunction','polynomial','KernelScale', 'auto', 'Standardize', 1, 'BoxConstraint', 0.3, 'IterationLimit', 1e8, 'GapTolerance', 1e-2, 'Solver', 'ISDA');
%     SVMModel = fitcecoc(feats, Y_tr,'Learners', svmParams, 'Coding', 'onevsall','FitPosterior',true);

    SVMModel = TreeBagger(300,feats,Y_tr);
%     CVSVMModel = crossval(SVMModel);

%     % validate
%     for j=1:length(rand_num_val)
%         Y_val(j,1)=num_labels(rand_num_val(j));
%         X_val(j,1:size(features,2))=features(rand_num_val(j),1:size(features,2));
%     end

%     for j=1:length(Y_val)
%         [l,~] = CVSVMModel.Trained{1}.predict(X_val(j,:)*coef);
% %         scores(j,:)=s;
%         predicts(j)=l;
%     end
% 
%     for j=1:length(Y_tr)
%         [~,s] = CVSVMModel.Trained{1}.predict(X_tr(j,:)*coef);
%         scores(j,:)=s;
%         predict_labs(j)=l;
%     end

%     fscore=length(find(predicts'==Y_val))/length(Y_val);
%     col3_labels(1,:) = Y_tr==-1;
%     col3_labels(2,:) = Y_tr==1;
%     col3_labels(3,:) = Y_tr==0;
%     [tpr,fpr,th]=roc(col3_labels,scores');
%     AUC1 = sum(tpr{1})/length(tpr{1});
%     AUC2 = sum(tpr{2})/length(tpr{2});
%     AUC3 = sum(tpr{3})/length(tpr{3});
%     confusionchart(Y_tr,predict_labs);
%     fprintf('Absent AUC:%.2f Present AUC:%.2f Unknown AUC:%.2f \n',AUC1,AUC2,AUC3);
%     disp(fscore);

%     trained_svm = CVSVMModel.Trained{1};
    trained_svm = SVMModel;
end

