function [trained_svm,coef,fscore] = train_and_validate_RF_outcome(features,labels,train_split)

    Y_tr=[];
    X_tr=[];
    num_labels = zeros(size(labels));
    num_labels(labels=='Abnormal') = 1;
    num_labels(labels=='Normal') = -1;

    YN=find(num_labels==-1);
    YP=find(num_labels==1);

    YN_rand = YN(randperm(floor(length(YN)*0.3)));
    YP_rand = YP(randperm(length(YP)));

    Y_new_tr = [YP_rand(1:floor(numel(YP_rand)*train_split)),...
                YN_rand(1:floor(numel(YN_rand)*train_split))];
    Y_new_val = [YP_rand(floor(numel(YP_rand)*train_split):end),...
                 YN_rand(floor(numel(YN_rand)*train_split):end)];
    rand_num_tr = Y_new_tr(randperm(length(Y_new_tr)));
    rand_num_val = Y_new_val(randperm(length(Y_new_val)));

    for i=1:length(rand_num_tr)
        Y_tr(i,1)=num_labels(rand_num_tr(i));
        X_tr(i,1:size(features,2))=features(rand_num_tr(i),1:size(features,2));
    end

    disp('Training the model...')
    
    [coef,~,~,~,exp]=pca(X_tr);
    idx = find(cumsum(exp)>99,1);
    coef = coef(:,1:idx);
    feats = X_tr*coef;
    
%     svmParams = templateSVM('KernelFunction','polynomial','KernelScale', 'auto', 'Standardize', 1, 'BoxConstraint', 0.3, 'IterationLimit', 1e8, 'GapTolerance', 1e-2, 'Solver', 'ISDA');
%     SVMModel = fitcsvm(feats, Y_tr,'KernelFunction','polynomial','KernelScale', 'auto', 'Standardize', 1, 'BoxConstraint', 0.3, 'IterationLimit', 1e8, 'GapTolerance', 1e-2, 'Solver', 'ISDA');
%     ScoreSVMModel = fitPosterior(SVMModel);
    ScoreSVMModel = TreeBagger(300,feats,Y_tr);
%     CVSVMModel = crossval(ScoreSVMModel);

%     % validate
%     for j=1:length(rand_num_val)
%         Y_val(j,1)=num_labels(rand_num_val(j));
%         X_val(j,1:size(features,2))=features(rand_num_val(j),1:size(features,2));
%     end

%     for j=1:length(Y_val)
%         [l,~] = CVSVMModel.Trained{1}.predict(X_val(j,:)*coef);
% %         scores(j,:)=s;
%         predicts(j)=l;
%     end
% 
%     for j=1:length(Y_tr)
%         [~,s] = CVSVMModel.Trained{1}.predict(X_tr(j,:)*coef);
%         scores(j,:)=s;
%         predict_labs(j)=l;
%     end
    
%     fscore=length(find(predicts'==Y_val))/length(Y_val);
%     disp(fscore);

%     trained_svm = CVSVMModel.Trained{1};
    trained_svm = ScoreSVMModel;
end

